.header {
  background-color: #1c1d1d;
  color: #e9e9e9;
  border-bottom: 1px solid #e9e9e9;
}

.header a {
  text-decoration: none;
  color: #e9e9e9;
}

.header a:hover {
  text-decoration: underline;
  color: #ffffff;
}

.header h1 {
  display: inline;
  padding: .5em;
}

body {
  background-color: #ebebeb;
}

main {
  background-color: #fcfcfc;
  color: #1c1d1d;
}

aside,
p>code {
  background-color: #e6e6e6;
  padding: 0 1px;
}

q {
  font-weight: 500;
}

x-subtitle {
  display: block;
  margin-top: -1em;
  font-size: .83em;
  font-weight: bolder;
}

x-post {
  border: 1px solid #b3b3b3;
  display: block;
  padding: 0 1em;
  margin-bottom: 1em;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 4px 6px -1px, rgba(0, 0, 0, 0.03) 0px 2px 4px -1px;
}
x-codeblock {
  border: 1px solid #1e1e1e;
  background-color: #1e1e1e;
  /* punctuation color to avoid lots of tags on those */
  color: #b4b4b4;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

/* codeblock syntax highlighting. the names are tiny to keep size down */

/* keyword */
x-codeblock k- {
  color: #569cd6;
}
/* variables */
x-codeblock v- {
  color: #dadada;
}
/* control flow */
x-codeblock o- {
  color: #d8a0df;
}
/* types */
x-codeblock t- {
  color: #4ec9b0;
}
/* functions */
x-codeblock f- {
  color: #dcdcaa;
}
/* parameters */
x-codeblock p- {
  color: #9a9a9a;
}
/* integer literals */
x-codeblock i- {
  color: #b5cea8;
}
/* local variables */
x-codeblock l- {
  color: #9cdcfe;
}
/* comments */
x-codeblock c- {
  color: #57a64a;
}
/* globals */
x-codeblock g- {
  color: #c8c8c8;
}
